# Multivariate Statistics

A Julia package for multivariate statistics and data analysis (e.g. dimensionality reduction).

[![Coverage Status](https://coveralls.io/repos/JuliaStats/MultivariateStats.jl/badge.svg?branch=master)](https://coveralls.io/r/JuliaStats/MultivariateStats.jl?branch=master)
[![Build Status](https://travis-ci.org/JuliaStats/MultivariateStats.jl.svg?branch=master)](https://travis-ci.org/JuliaStats/MultivariateStats.jl)
[![CI](https://github.com/JuliaStats/MultivariateStats.jl/actions/workflows/ci.yml/badge.svg)](https://github.com/JuliaStats/MultivariateStats.jl/actions/workflows/ci.yml)
[![](https://img.shields.io/badge/docs-stable-blue.svg)](https://juliastats.org/MultivariateStats.jl/stable)
[![](https://img.shields.io/badge/docs-dev-blue.svg)](https://juliastats.org/MultivariateStats.jl/dev)

## Functionalities

#### Available

- Linear Least Square Regression
- Ridge Regression
- Isotonic Regression
- Data Whitening
- Principal Components Analysis (PCA)
- Canonical Correlation Analysis (CCA)
- Classical Multidimensional Scaling (MDS)
- Metric Multidimensional Scaling (mMDS)
- Linear Discriminant Analysis (LDA)
- Multi-class LDA
- Independent Component Analysis (FastICA)
- Probabilistic PCA
- Factor Analysis
- Kernel PCA

#### Future Plan

- Partial Least Square (PLS)
- Other algorithms for ICA (*e.g.* JADE)


